#include <iostream>
using namespace std;
int a[100001];
int b[100001];
int main()
{
int n,m=1,s;
cin>>n;
s=n;
for(int i=1;i<=n;i++)
{
    a[i-1]=i;
}
for(int i=2;i<n;i++)
{
    int r=0;
    if(i%2==0){
    for(int q=0;q<n and a[q]!=0;q+=i)
    {
    b[r]=a[q];cout<<b[r]<<endl;r++;
    }
    if(r==1)break;
    m=b[r-1];
    for(int z=0;z<n;z++)a[z]=0;
    }

else{
    for(int q=0;q<n and b[q]!=0;q+=i)
    {
    a[r]=a[q];cout<<b[r]<<endl;r++;
    }
    if(r==1)break;
    m=a[r-1];
    for(int z=0;z<n;z++)b[z]=0;
}
}
cout<<m<<endl;
    return 0;
}
